This is fixed in new version 3.0.1, You should find an opensuse package via our webpage.

First take backup, 3.0.x is a _major_ upgrade with many new features.

Benny

2008/6/21 Kieren Hinch <khinch@nylonmoon.com>:
User Information:
===================

I was exporting a gramp database to portable XML format for backup
purposes.


Error Details:
===================

171274: ERROR: gramps.py: line 148: Unhandled exception
Traceback (most recent call last):
 File "/usr/share/gramps/Exporter.py", line 129, in on_before_page_next
   self.build_conclusion(success)
 File "/usr/share/gramps/Exporter.py", line 238, in build_conclusion
   self.w.remove_page(self.conclusion_page)
 File "/usr/share/gramps/Assistant.py", line 298, in remove_page
   self.title_text.pop(position)
IndexError: pop index out of range


System Information:
===================

Python version: 2.5.1 (r251:54863, Jan 10 2008, 18:01:57) [GCC 4.2.1
(SUSE Linux)]
BSDDB version: 4.4.5.2
Gramps version: 2.2.10-1
LANG: en_GB.UTF-8
OS: Linux
Distribution: 2.6.22.17-0.1-default


-------------------------------------------------------------------------
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services for
just about anything Open Source.
http://sourceforge.net/services/buy/index.php
_______________________________________________
Gramps-bugs mailing list
Gramps-bugs@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gramps-bugs